Bug 60496 - RFE: Give authconfig the ability to set password length and simplicity.
RFE: Give authconfig the ability to set password length and simplicity.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-28 11:49 EST by Mike Gahagan
Modified: 2012-03-26 09:38 EDT (History)
0 users

See Also:
Fixed In Version: authconfig-6.2.1-1.fc17
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-26 09:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Gahagan 2002-02-28 11:49:35 EST
Description of Problem:

RFE: Give authconfig the ability to configure pam to set options relating to
password length and/or simplicity. See also Bug 60495 (RFE for pam_cracklib)

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Gar Nelson 2004-11-02 18:43:57 EST
There is an article by Hal Pomeranz in the Nov2004 SysAdmin magazine
on using pam_cracklib to increase password strength. With the Redhat
configuration program overwriting /etc/pam.d/system-auth, the chance
of any manual edits to this file surviving over time are slight. I
would like to see another tab added for password lenth and strength
configurable options.
Comment 2 Tomas Mraz 2004-11-18 04:14:59 EST
The pam_cracklib arguments are fully preserved on rewriting the
system-auth file.

Note You need to log in before you can comment on or make changes to this bug.